local mod = ...

mod:registerAssetId("heraldry/warriors.png", "HERALDRY_KNIGHT", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_KNIGHT",
	Description = "VILLAGE_KNIGHT_DESC",
	Heraldry = "HERALDRY_KNIGHT",
	VillageName = "Knights of the Falcon",
	UnlockCost = {{ Resource = "SWORD", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.75,
	BuyingResourceList = {
		--
		{ ResourceMaxAmount = { Resource = "SWORD", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } },
		{ ResourceMaxAmount = { Resource = "SPEAR", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 25 } },
		{ ResourceMaxAmount = { Resource = "BEER", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
		{ ResourceMaxAmount = { Resource = "WINE", 		Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 12 } },
		{ ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 150 } },	
	},
	SellingResourceList={
		--
		--
		--
		--
		--
		--
	},
	Allegiance = "KINGDOM"
})
