local mod = ...

mod:registerAssetId("heraldry/CoA5.png", "HERALDRY_E", "ATLAS_CELL")
mod:registerAsset({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_E",
	Description = "VILLAGE_E_DESC",
	Heraldry = "HERALDRY_E",
	VillageName = "House Barmere of Bridgewatch",
	UnlockCost = {{ Resource = "WHEAT", Quantity = 20 }},
	ResourceTradingReplenishDelay = 0.5,
	BuyingResourceList = {
		-- r_fruit
		-- r_corn
		-- bv1_butter
		-- r_clay
		{ ResourceMaxAmount = { Resource = "WHEAT", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 1 } },
		{ ResourceMaxAmount = { Resource = "FLOUR", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
	},
	SellingResourceList={
		-- r_tile
		-- ,
		{ ResourceMaxAmount = { Resource = "RESOURCE_POTTERY", Quantity = 50 }, ReplenishingAmount = 25, UnitPrice = { Resource = "GOLD_COINS", Quantity = 3 } },
		{ ResourceMaxAmount = { Resource = "BV1_EGG", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 2 } },
		{ ResourceMaxAmount = { Resource = "BREAD", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 8 } },
		{ ResourceMaxAmount = { Resource = "BV1_PASTRY", Quantity = 100 }, ReplenishingAmount = 75, UnitPrice = { Resource = "GOLD_COINS", Quantity = 6 } },
	},
	Allegiance = "LABOUR"
})